package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourcePlcPO;
import mhp.oee.po.gen.ResourcePlcPOExample;

public interface ResourcePlcPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int countByExample(ResourcePlcPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int deleteByExample(ResourcePlcPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int insert(ResourcePlcPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int insertSelective(ResourcePlcPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    List<ResourcePlcPO> selectByExample(ResourcePlcPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    ResourcePlcPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourcePlcPO record, @Param("example") ResourcePlcPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourcePlcPO record, @Param("example") ResourcePlcPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourcePlcPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourcePlcPO record);
}